Accelerating the pace of engineering and science

Teledyne DALSA Support from Image Acquisition Toolbox

Use Teledyne DALSA GigE cameras and frame grabbers with MATLAB and Simulink to acquire video and images on PCs.

Using Teledyne DALSA® cameras with MATLAB® and Simulink®, you can capture live video and images directly into your image processing and computer vision workflows.

The table below lists the supported frame grabbers on 64-bit Windows® systems. For detailed information about a frame grabber listed here, please visit the Teledyne DALSA Web site.

Depending on the frame grabber, Image Acquisition Toolbox™ requires Imaging Sapera LT version 6.3 or 7.2.

Supported Hardware

Interface Product Name Minimum Version Required
 Analog PC2-COMP Express Sapera LT (Version 7.2)
  PC2-Vision Express Sapera LT (Version 7.2)
  PC2-Vision Sapera LT (Version 7.2)
  PC-RGB Sapera LT (Version 6.3)
  PCVision Sapera LT (Version 6.3)
  PCVisionPlus Sapera LT (Version 6.3)
  Xcelera-AN LX1 Quad Sapera LT (Version 7.2)
  X64-AN Quad Sapera LT (Version 7.2)
 Camera Link PC2-Camlink Sapera LT (Version 6.3/7.2)
  Xcelera-CL PX4 Dual Sapera LT (Version 6.3/7.2)
  Xcelera-CL PX4 Full Sapera LT (Version 6.3/7.2)
  Xcelera-CL PX4 SE Sapera LT (Version 6.3/7.2)
  Xcelera-CL+ PX8 Full Sapera LT (Version 6.3/7.2)
  Xcelera-CL LX1 Base Sapera LT (Version 6.3/7.2)
  Xcelera-HS PX8 Sapera LT (Version 6.3/7.2)
  XRI-1600 Sapera LT (Version 6.3/7.2)
  X64-CL Dual Sapera LT (Version 6.3/7.2)
  X64-CL Express Sapera LT (Version 6.3/7.2)
  X64-CL Full Sapera LT (Version 6.3/7.2)
  X64-CL iPro Sapera LT (Version 6.3/7.2)
 LVDS/RS-422 X64-LVDS Sapera LT (Version 6.3/7.2)
  Xcelera-LVDS PX4 Sapera LT (Version 6.3/7.2)

Platform and Release Support:

The 32-bit version of MATLAB will no longer be available starting in MATLAB R2016a. Teledyne DALSA IFC is only supported on 32-bit Windows. Migrate to using a driver-hardware combination that is supported on 64-bit Windows.

See the hardware support package system requirements table for current and prior version, release, and platform availability.

Ready to install?

Before installing the support package, confirm you have the correct setup. View system requirements and installation options.

MathWorks Requirements

Software

Required

Also supported in student and home software.

Recommended

Support Package

Required

Support Package Installer installs this support package. To start the installer, go to the MATLAB toolstrip and click Add-Ons > Get Hardware Support Packages. For more information, read the documentation.

Third-Party Requirements

Hardware

Required

Request Hardware Support